Index: main.f
===================================================================
--- main.f	(revision 6650a56b8f862383b669bf41c64d328acf404e72)
+++ main.f	(revision 32289cdc085b7eebe6f6df5975767c27f3bf61c7)
@@ -4,5 +4,5 @@
 !
 ! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
+!                      Shura Hayryan, Chin-Ku
 ! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
 !                      Jan H. Meinke, Sandipan Mohanty
@@ -16,9 +16,14 @@
 ! $Id: main.f 334 2007-08-07 09:23:59Z meinke $
 ! **************************************************************
-      
+
       program main
 
       include 'INCL.H'
       include 'INCP.H'
+      double precision eps, temp, e, energy
+
+      integer maxloglevel, logfileunit, iabin, imin, maxit, nequi
+      integer nsweep, nmes, ncalls, nacalls
+
       common/updstats/ncalls(5),nacalls(5)
       character*80 libdir, seqfile, varfile
@@ -32,7 +37,7 @@
 !            Directory for SMMP libraries
 !     Change the following directory path to where you want to put SMMP
-!     libraries of residues. 
+!     libraries of residues.
       libdir='./SMMP/'
-      
+
 !     Set the maximum log level. The larger the number the more detailed
 !     the log.
@@ -48,5 +53,5 @@
       ientyp = 0
 !        0  => ECEPP2 or ECEPP3 depending on the value of sh2
-!        1  => FLEX 
+!        1  => FLEX
 !        2  => Lund force field
 !        3  => ECEPP with Abagyan corrections
@@ -70,13 +75,14 @@
       iabin = 1  ! =0: read from PDB-file
                  ! =1: ab Initio from sequence (& variables)
-      seqfile='EXAMPLES/enkefa.seq'
-      varfile='EXAMPLES/enkefa.ann'
-!       varfile = ' '
-      
+      seqfile='polyq.seq'
+!      seqfile='polyA.pdb'
+      varfile='polyq.var'
+       varfile = ' '
+
       ntlml = 0
       write (*,*) 'Solvent: ', itysol
 !     Initialize random number generator.
       call sgrnd(31433)
-      
+
       if (itysol.eq.0.and.ientyp.eq.3) then
          print *,'Can not use Abagyan entropic corrections without '
@@ -87,8 +93,8 @@
       call init_molecule(iabin,grpn,grpc,seqfile,varfile)
 
-! Decide if and when to use BGS, and initialize Lund data structures 
+! Decide if and when to use BGS, and initialize Lund data structures
       bgsprob=0.75   ! Prob for BGS, given that it is possible
-! upchswitch= 0 => No BGS 1 => BGS with probability bgsprob 
-! 2 => temperature dependent choice 
+! upchswitch= 0 => No BGS 1 => BGS with probability bgsprob
+! 2 => temperature dependent choice
       upchswitch=1
       rndord=.true.
@@ -96,5 +102,5 @@
       if (ientyp.eq.2) call init_lundff
       if (ientyp.eq.3) call init_abgn
-      
+
 
 ! ========================================  Add your task down here
@@ -103,14 +109,17 @@
       maxit = 15000 ! maximum number of iterations in minimization
       eps = 1.0d-7 ! requested precision
-      call minim(imin, maxit, eps)
-      call outvar(0, ' ')
+!      call minim(imin, maxit, eps)
+!      call outvar(0, ' ')
 !     To do a canonical Monte Carlo simulation uncomment the lines below
-!       nequi = 100
-!       nsweep = 50000
-!       nmes = 10
-!       temp = 300.0
-!       lrand = .true.
+       nequi = 100
+       nsweep = 50000
+       nmes = 10
+       temp = 300.0
+       lrand = .true.
+       E = energy()
+       write(*,*) E, eyel,eyvw,eyhb,eyvr
+       call outpdb(1, "polyA.pdb")
 !      Canonical Monte Carlo
-!       call canon(nequi, nsweep, nmes, temp, lrand)
+!        call canon(nequi, nsweep, nmes, temp, lrand)
 
 !      For simulated annealing uncomment the lines below
@@ -118,4 +127,4 @@
 !      tmax = 500.0
 !      call anneal(nequi, nsweep, nmes, tmax, tmin, lrand);
-! ========================================  End of main      
+! ========================================  End of main
        end
Index: main_p.f
===================================================================
--- main_p.f	(revision 6650a56b8f862383b669bf41c64d328acf404e72)
+++ main_p.f	(revision 32289cdc085b7eebe6f6df5975767c27f3bf61c7)
@@ -1,16 +1,16 @@
 !     **************************************************************
-!     
+!
 !     This file contains the   main (PARALLEL TEMPERING  JOBS ONLY,
 !     FOR SINGULAR PROCESSOR JOBS USE main)
-!     
+!
 !     This file contains also the subroutine: p_init_molecule
-!     
+!
 !     Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!     Shura Hayryan, Chin-Ku 
+!     Shura Hayryan, Chin-Ku
 ! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
 !                      Jan H. Meinke, Sandipan Mohanty
-!     
+!
 !     CALLS init_energy,p_init_molecule,partem_p
-!     
+!
 !     **************************************************************
       program pmain
@@ -21,4 +21,9 @@
       include 'mpif.h'
 
+      double precision startwtime, group_world, error, endwtime
+
+      integer ierr, num_proc, iabin, nequi, nswp, nmes, nsave, ifrm, j
+      integer i, nml, nresi, my_pt_rank, ncalls, nacalls
+
       character*80 libdir
       character*80 in_fil,ou_fil,filebase, varfile
@@ -28,5 +33,5 @@
       logical newsta
 
-!c    Number of replicas 
+!c    Number of replicas
       integer num_replica
 !c    Number of processors per replica
@@ -62,5 +67,5 @@
 
 !     =================================================== Energy setup
-      libdir='SMMP/'      
+      libdir='SMMP/'
 !     Directory for SMMP libraries
 
@@ -71,8 +76,8 @@
       ientyp = 0
 !     0  => ECEPP2 or ECEPP3 depending on the value of sh2
-!     1  => FLEX 
+!     1  => FLEX
 !     2  => Lund force field
 !     3  => ECEPP with Abagyan corrections
-!     
+!
 
       sh2=.false.               ! .true. for ECEPP/2; .false. for ECEPP3
@@ -106,28 +111,28 @@
                             !   temperatures must have at least as many
                             !   entries
-      nequi=10              ! Number of MC sweeps before measurements 
-                            !   and replica exchanges are started 
+      nequi=10              ! Number of MC sweeps before measurements
+                            !   and replica exchanges are started
       nswp=500000           ! Number of sweeps
       nmes=10               ! Interval for measurements and replica exchange
       nsave=1000            ! Not used at the moment
-                    
-      switch = -1           ! How should the configuration be   
+
+      switch = -1           ! How should the configuration be
                             !   initialized?
-                            ! -1 stretched chain 
+                            ! -1 stretched chain
                             !  0 don't do anything
                             !  1 initialize each angle to a random value
-      
+
       ifrm=0
       ntlml = 0
 
-! Decide if and when to use BGS, and initialize Lund data structures 
+! Decide if and when to use BGS, and initialize Lund data structures
       bgsprob=0.6    ! Prob for BGS, given that it is possible
-! upchswitch= 0 => No BGS 1 => BGS with probability bgsprob 
-! 2 => temperature dependent choice 
+! upchswitch= 0 => No BGS 1 => BGS with probability bgsprob
+! 2 => temperature dependent choice
       upchswitch=1
       rndord=.true.
 !     =================================================================
 !     Distribute nodes to parallel tempering tasks
-!     I assume that the number of nodes available is an integer 
+!     I assume that the number of nodes available is an integer
 !     multiple n of the number of replicas. Each replica then gets n
 !     processors to do its energy calculation.
@@ -139,6 +144,6 @@
 !     could just use i * num_ppr but this way it's more flexible.
       j = 0
-      do i = 1, num_replica 
-         ranks(i) = j 
+      do i = 1, num_replica
+         ranks(i) = j
          proc_range(1) = j
          proc_range(2) = j + num_ppr - 1
@@ -146,5 +151,5 @@
          call mpi_group_range_incl(group_world, 1, proc_range, group(i)
      &                              ,error)
-         write (*,*) "Assigning rank ", j, proc_range, 
+         write (*,*) "Assigning rank ", j, proc_range,
      &               "to group", group(i)
          call flush(6)
@@ -167,5 +172,5 @@
       call mpi_group_incl(group_world, num_replica, ranks, group_partem,
      &                    error)
-      call mpi_comm_create(mpi_comm_world, group_partem, partem_comm, 
+      call mpi_comm_create(mpi_comm_world, group_partem, partem_comm,
      &                     error)
 
@@ -184,5 +189,5 @@
          varfile = 'EXAMPLES/1bdd.var'
          call init_molecule(iabin, grpn, grpc,in_fil,varfile)
-      else 
+      else
          filebase = "conf_0000.var"
          call init_molecule(iabin, grpn, grpc,in_fil,
@@ -220,5 +225,5 @@
       nml = 1
       call distributeWorkLoad(no, nml)
-      
+
       call partem_p(num_replica, nequi, nswp, nmes, nsave, newsta,
      &              switch, rep_id, partem_comm)
Index: metropolis.f
===================================================================
--- metropolis.f	(revision 6650a56b8f862383b669bf41c64d328acf404e72)
+++ metropolis.f	(revision 32289cdc085b7eebe6f6df5975767c27f3bf61c7)
@@ -20,4 +20,10 @@
       include 'INCP.H'
       include 'incl_lund.h'
+      
+      double precision eol, energy, grnd, dv, addang, enw, delta, dummy
+      double precision rd, ex, acz, eol1
+
+      integer nsw, iupstate, iupt, ivar, jv, iml, i, ncalls, nacalls
+
       external dummy
 !      common/bet/beta
@@ -178,4 +184,5 @@
       
       subroutine accanalyze(iuptype,iupdstate)
+      integer ncalls, nacalls, iupdstate, iuptype
       common/updstats/ncalls(5),nacalls(5)
       ncalls(5)=ncalls(5)+1
@@ -202,4 +209,5 @@
       integer iiii
       double precision bbbb,curprob, grnd,up2bmax,up2bmin
+
       common/updtparam/up2bmax,up2bmin
       curprob=(bbbb-up2bmin)/(up2bmax-up2bmin)
@@ -211,4 +219,5 @@
       end
       block data updtchs
+      integer ncalls, nacalls
       double precision up2bmax, up2bmin
       common/updtparam/up2bmax,up2bmin
Index: mincjg.f
===================================================================
--- mincjg.f	(revision 6650a56b8f862383b669bf41c64d328acf404e72)
+++ mincjg.f	(revision 32289cdc085b7eebe6f6df5975767c27f3bf61c7)
@@ -4,5 +4,5 @@
 !
 ! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
+!                      Shura Hayryan, Chin-Ku
 ! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
 !                      Jan H. Meinke, Sandipan Mohanty
@@ -40,6 +40,11 @@
 ! ....................................................................
 
-      implicit real*8 (a-h,o-z)
-      implicit integer*4 (i-n)
+      double precision amf, tol, eps, gsqrd, fmin, f, t, g, ga, d, xa, x
+      double precision gsq2, gnew, dfpr, stmin, fuit, gdit, gt, gdmi
+      double precision sbound, stepch, step, wo, sum, fch, acur, ddspln
+      double precision gspln, beta, gama, yt, dt, gamden, di
+
+      integer mxfcon, maxlin, mxn, ier, iter, iterfm, iterrs, nfun
+      integer nfopt, i, n, nfbeg, iretry, maxfun
 
       parameter (AMF = 10.d0,
@@ -102,5 +107,5 @@
 
     2 step = stmin + stepch
-      wo = 0.d0 
+      wo = 0.d0
 
       do i=1,n
@@ -182,5 +187,5 @@
 
       if ( fch .ne. 0.d0 )  ddspln = ddspln + (wo + wo) / stepch
- 
+
       if ( gdmi .eq. 0.d0 )  goto 6
 
Index: nursvr.f
===================================================================
--- nursvr.f	(revision 6650a56b8f862383b669bf41c64d328acf404e72)
+++ nursvr.f	(revision 32289cdc085b7eebe6f6df5975767c27f3bf61c7)
@@ -4,5 +4,5 @@
 !
 ! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
+!                      Shura Hayryan, Chin-Ku
 ! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
 !                      Jan H. Meinke, Sandipan Mohanty
@@ -18,4 +18,6 @@
 ! ...........................................................
       include 'INCL.H'
+
+      integer i, ifirs, ivr, j
 
       do i=ntlml,1,-1
@@ -45,4 +47,6 @@
       include 'INCL.H'
 
+      integer i, ifirs, ilars, iat, j
+
       do i=1,ntlml
 
Index: opereg.f
===================================================================
--- opereg.f	(revision 6650a56b8f862383b669bf41c64d328acf404e72)
+++ opereg.f	(revision 32289cdc085b7eebe6f6df5975767c27f3bf61c7)
@@ -4,5 +4,5 @@
 !
 ! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
+!                      Shura Hayryan, Chin-Ku
 ! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
 !                      Jan H. Meinke, Sandipan Mohanty
@@ -33,4 +33,13 @@
       include 'INCL.H'
       include 'INCP.H'
+
+      double precision xfvr, yfvr, zfvr, xfrvr, yfrvr, zfrvr, x1, y1, z1
+      double precision a, sa, ca, xk, yk, zk, xi, yi, zi, xji, yji, zji
+      double precision dx, dy, dz, x, y, z, xfat, yfat, zfat, xfrat
+      double precision yfrat, zfrat, xb, yb, zb, ex, ey, ez, xfiv, yfiv
+      double precision zfiv, xfriv, yfriv, zfriv
+
+      integer ntlvr, nml, ix2, ifivr, ilavr, i, ii, j, i1s, i1a, io, iv
+      integer it, ia, ib, i2s, ims, i1, i2, i2a, iad, lad, ivw, i14
 
       dimension xfat(mxat),yfat(mxat),zfat(mxat),
@@ -100,5 +109,5 @@
 
           eyrg = eyrg + xji**2 + yji**2 + zji**2  ! The regularization energy is just
-                                                  ! the sum over the atom distances 
+                                                  ! the sum over the atom distances
                                                   ! squared.
 
@@ -303,4 +312,8 @@
       include 'INCL.H'
 
+      double precision del, pro, gdn, enyreg
+
+      integer ii, nml, i
+
       parameter (del=1.d-7)
 
@@ -339,4 +352,8 @@
 
       include 'INCL.H'
+
+      double precision del, vlvrx, ovr, eynw, enyreg, gdn, gda
+
+      integer i, it, iv, nml
 
       parameter (del=1.d-6)
Index: outpdb.f
===================================================================
--- outpdb.f	(revision 6650a56b8f862383b669bf41c64d328acf404e72)
+++ outpdb.f	(revision 32289cdc085b7eebe6f6df5975767c27f3bf61c7)
@@ -4,5 +4,5 @@
 !
 ! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
+!                      Shura Hayryan, Chin-Ku
 ! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
 !                      Jan H. Meinke, Sandipan Mohanty
@@ -24,4 +24,9 @@
 
       include 'INCL.H'
+
+      double precision occ, bva
+
+      integer i0, i9, nml, im1, im2, ibegst, iout, iat, iml, irs, ifirs
+      integer ifiat, nrs, i, j, iendst, nfi, ibd, jj, nbd
 
       dimension ibd(4)
@@ -99,5 +104,5 @@
             call toupst(atnm)
             call toupst(res)
- 
+
             linout = ' '
             write (linout,1) linty,iat,atnm,res(1:3),chid,irs,cdin,
@@ -170,5 +175,5 @@
       write (linout,'(a3)') 'END'
       write(iout,'(a80)') linout
-      
+
       close(iout)
 
Index: outvar.f
===================================================================
--- outvar.f	(revision 6650a56b8f862383b669bf41c64d328acf404e72)
+++ outvar.f	(revision 32289cdc085b7eebe6f6df5975767c27f3bf61c7)
@@ -4,15 +4,15 @@
 !
 ! Copyright 2005       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
+!                      Shura Hayryan, Chin-Ku
 ! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
 !                      Jan H. Meinke, Sandipan Mohanty
 !
 ! **************************************************************
- 
+
       subroutine outvar(nml,fileName)
-  
+
 !--------------------------------------------------------------------
-!       Output of variables of the current protein conformation 
-!- 
+!       Output of variables of the current protein conformation
+!-
 !       nml != 0       :     molecule index
 !       nml  = 0       :     all molecules
@@ -24,4 +24,6 @@
 
       include 'INCL.H'
+
+      integer nml, ibegst, iout
 
       character*(*) fileName
@@ -49,4 +51,6 @@
 
       include 'INCL.H'
+
+      integer nml, im1, im2, iml, i, iout, ibegst, ifivr, is, nursvr, it
 
       character mlfd*7,strg(6)*17
Index: partem_p.f
===================================================================
--- partem_p.f	(revision 6650a56b8f862383b669bf41c64d328acf404e72)
+++ partem_p.f	(revision 32289cdc085b7eebe6f6df5975767c27f3bf61c7)
@@ -43,8 +43,8 @@
 
       integer ifrrm, nmes, nswp, num_rep, i, j, nresi, iold, inode
-      integer intem, iv, jold, idum1, idum2, idum3, mpi_integer
-      integer mpi_comm_world, ierr, mpi_double_precision, nsw, nequi
+      integer intem, iv, jold, idum1, idum2, idum3
+      integer ierr, nsw, nequi
       integer nml, nhel, mhel, nbet, mbet, mhb, imhb, nctot, ncnat
-      integer mpi_comm_null, k1, k, nu, no1, in, jn
+      integer k1, k, nu, no1, in, jn
       
       dimension  eavm(MAX_PROC),sph(MAX_PROC),intem(MAX_PROC),
@@ -225,5 +225,5 @@
             call flush(6)
          endif
-         if(mod(iold,nmes).eq.0) then
+         if(mod(iold,nmes).eq.0.and.myrank.eq.0) then
             if ((rep_id + 1).eq.trackID.and.myrank.eq.0) then
                frame = iold /nmes
Index: partem_s.f
===================================================================
--- partem_s.f	(revision 6650a56b8f862383b669bf41c64d328acf404e72)
+++ partem_s.f	(revision 32289cdc085b7eebe6f6df5975767c27f3bf61c7)
@@ -4,5 +4,5 @@
 !
 ! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
+!                      Shura Hayryan, Chin-Ku
 ! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
 !                      Jan H. Meinke, Sandipan Mohanty
@@ -10,5 +10,5 @@
 !
 ! **************************************************************
-      
+
       subroutine partem_s(num_rep, nequi, nswp, nmes, nsave, newsta,
      &                     switch)
@@ -20,4 +20,11 @@
 !
       include 'INCL.H'
+      
+      double precision gasc, dv, grnd, vr, addang, energ, energy, acz
+      double precision ee, rgy, temp0, delta, ra
+
+      integer i, j, nml, k, nstart, iv, nsw, iswitch, k1, num_rep1, nu
+      integer in, jn
+
       external can_weight
 ! TODO Store global coordinates in pgbpr
@@ -44,5 +51,5 @@
 !     ipoi:   Points to replica ipoi(k) which is currently
 !             at inverse temperature pbe(k)
-!     eol:    energy of each replica 
+!     eol:    energy of each replica
 !     acc:    accepatance rate of each replica
 !
@@ -55,5 +62,5 @@
       allocate(temp(num_rep), pbe(num_rep), eol(num_rep))
       allocate(acc(num_rep), ipoi(num_rep))
-      
+
       if (.not.(allocated(coor_G).and.allocated(temp)
      &          .and. allocated(pbe).and. allocated(eol)
@@ -77,5 +84,5 @@
          ipoi(i) = 0
       end do
-        
+
 
 !     READ IN TEMPERATURES
@@ -90,5 +97,5 @@
 
       open(13,file='time.d',status='unknown')
-      
+
       if(.not.newsta) then
 ! READ START Values
@@ -122,7 +129,7 @@
                   pgbpr(j, nml, i) = gbpr(j, nml)
                end do
-            end do            
-         end do
-      
+            end do
+         end do
+
 !      Equilibrization for each replica (No replica exchange move)
          do k=1,num_rep
@@ -141,5 +148,5 @@
                CALL METROPOLIS(energ,acz,can_weight)
             end do
-            write(*,*) 'Start energy after equilibration for replica:', 
+            write(*,*) 'Start energy after equilibration for replica:',
      &                 k, energ
             do i=1,nvr
@@ -155,5 +162,5 @@
          end do
       end if
-            
+
 ! Now begins the simulation with Multiple Markov Chains
       iswitch = 1
@@ -176,5 +183,5 @@
             end do
             CALL METROPOLIS(energ,acz,can_weight)
-! 
+!
             if(mod(nsw,nmes).eq.0) then
 ! Measure and store here all quantities you want to analyse later
@@ -195,5 +202,5 @@
                end do
             end do
-        
+
             eol(k) = energ
             acc(k) = acz
@@ -214,5 +221,5 @@
             j=i+1
             if(i.eq.num_rep) j=1
-            in=ipoi(i)      
+            in=ipoi(i)
             jn=ipoi(j)
             delta=-pbe(i)*eol(jn)-pbe(j)*eol(in)
Index: pdbread.f
===================================================================
--- pdbread.f	(revision 6650a56b8f862383b669bf41c64d328acf404e72)
+++ pdbread.f	(revision 32289cdc085b7eebe6f6df5975767c27f3bf61c7)
@@ -4,5 +4,5 @@
 !
 ! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
+!                      Shura Hayryan, Chin-Ku
 ! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
 !                      Jan H. Meinke, Sandipan Mohanty
@@ -21,8 +21,9 @@
 ! ......................................................
 
-      implicit real*8 (a-h,o-z)
-      implicit integer*4 (i-n)
-
       include 'INCP.H'
+      
+      double precision cor
+
+      integer ier, l, iendst, lunpdb, io, iopfil, iat, i
 
 ! -------------------------- input
@@ -47,5 +48,5 @@
         lunpdb = 99
       else
-        write (*,'(a)') 
+        write (*,'(a)')
      &    ' pdbread> empty file name to read pdb-structure'
 
@@ -56,5 +57,5 @@
 
       if (io.le.0) then
-        write (*,'(a,/,a)') 
+        write (*,'(a,/,a)')
      &  ' pdbread> ERROR opening file to read pdb-structure: ',
      &  pdbfil(1:iendst(pdbfil))
@@ -69,5 +70,5 @@
 
       if ( line(17:17).ne.' ' )  then
-        write (*,'(a,/,a,/,a,/,2a)') 
+        write (*,'(a,/,a,/,a,/,2a)')
      &  ' pdbread> found alternate atom location: ',
      &  '                !',
@@ -85,5 +86,5 @@
 
       if ((natp+1).gt.MXATP) then
-        write (*,'(a,i5,a,/,a)') 
+        write (*,'(a,i5,a,/,a)')
      &  ' pdbread>  >MXATP (',MXATP,') ATOM lines in PDB file ',
      &  pdbfil(1:iendst(pdbfil))
@@ -96,5 +97,5 @@
 
         if ((nchp+1).gt.MXCHP) then
-          write (*,'(a,i3,a,/,a)') 
+          write (*,'(a,i3,a,/,a)')
      &    ' pdbread>  >MXCHP (',MXCHP,') chains in PDB file ',
      &    pdbfil(1:iendst(pdbfil))
@@ -105,5 +106,5 @@
 
         if ((nrsp+1).gt.MXRSP) then
-          write (*,'(a,i3,a,/,a)') 
+          write (*,'(a,i3,a,/,a)')
      &    ' pdbread>  >MXRSP (',MXRSP,') residues in PDB file ',
      &    pdbfil(1:iendst(pdbfil))
@@ -140,5 +141,5 @@
 
         if ((nrsp+1).gt.MXRSP) then
-          write (*,'(a,i3,a,/,a)') 
+          write (*,'(a,i3,a,/,a)')
      &    ' pdbread>  >MXRSP (',MXRSP,') residues in PDB file ',
      &    pdbfil(1:iendst(pdbfil))
@@ -171,5 +172,5 @@
       goto 1
 
-    2 write (*,'(a,/,a,/,2a)') 
+    2 write (*,'(a,/,a,/,2a)')
      &  ' pdbread> ERROR reading ATOM line ',
      &  line(:l),
@@ -194,5 +195,5 @@
       else
 
-        write (*,'(a,/,a)') 
+        write (*,'(a,/,a)')
      &  ' pdbread> NO atom coordinates selected from file ',
      &  pdbfil(1:iendst(pdbfil))
@@ -226,4 +227,9 @@
       include 'INCL.H'
       include 'INCP.H'
+
+      double precision dihedr, rm, av1, av2, rmsd, h, x, y, z
+
+      integer nml, nrs, nc, irb, ire, irs, i, ii, it, i1, i2, i3, i4, j1
+      integer j2, j3, j4, inew, j, ix
 
       character res*3
@@ -451,4 +457,6 @@
       include 'INCP.H'
 
+      integer irs, nml, i1, i2, iat, ix, i
+
       character*4 atm
 
@@ -476,5 +484,5 @@
               endif
             enddo
-               
+
 !            write(*,'(8a)') ' pdbvars> ',atm,' not found in '
 !     #       ,chnp(nc),' ',rsidp(irs),' ',rsnmp(irs)
@@ -484,5 +492,5 @@
     1     ixatp(iat)=ix
 
-        enddo   ! SMMP atoms of 'irs' 
+        enddo   ! SMMP atoms of 'irs'
       enddo   ! residues
 
@@ -494,4 +502,9 @@
       include 'INCL.H'
 
+      double precision tol, h1, h2, h3, x1, x2, x3, d, z1, z2, z3, y1
+      double precision y2, y3, yp1, yp2
+
+      integer i1, nml, i2, i3, i
+
       parameter (TOL = 1.d-12)
 
@@ -499,5 +512,5 @@
 ! -> determine global parameters: shifts dX,dY,dZ
 ! & angles alpha,beta,gamma [rad], put into 'gbpr'
-! 
+!
 ! CALLS: none
 !
@@ -547,5 +560,5 @@
       y2=z3*x1-z1*x3
       y3=z1*x2-z2*x1
-      
+
       if ( ( 1.d0 - abs(y3) ) .gt. TOL )  then       ! ============ |beta| < PI/2
 
Index: regul.f
===================================================================
--- regul.f	(revision 6650a56b8f862383b669bf41c64d328acf404e72)
+++ regul.f	(revision 32289cdc085b7eebe6f6df5975767c27f3bf61c7)
@@ -4,5 +4,5 @@
 !
 ! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
+!                      Shura Hayryan, Chin-Ku
 ! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
 !                      Jan H. Meinke, Sandipan Mohanty
@@ -10,5 +10,5 @@
 ! **************************************************************
 
-      
+
       subroutine regul(nml, iter, nsteps, acc)
 
@@ -26,9 +26,13 @@
       include 'INCL.H'
       include 'INCP.H'
-      
+
 !f2py intent(in) nml
 !f2py intent(in) iter
 !f2py intent(in) nsteps
 !f2py intent(in) acc
+
+      double precision acc, rm, av1, av2, rmsd, dn
+
+      integer nsteps, nml, nrs, i, n, iter, it
 
       dimension rm(3,3),av1(3),av2(3)
@@ -60,5 +64,5 @@
 
 
-      do i = ivrml1(nml),nvrml(nml) 
+      do i = ivrml1(nml),nvrml(nml)
         fxvro(i) = fxvr(i)  ! save
         if (isrfvr(i)) fxvr(i) = .true.  ! fix vars. defined in ref.str.
@@ -77,5 +81,5 @@
       call cnteny(nml)
 
-      do i = ivrml1(nml),nvrml(nml) 
+      do i = ivrml1(nml),nvrml(nml)
         fxvr(i) = fxvro(i)  ! restore
       enddo  ! vars.
@@ -86,5 +90,5 @@
       wtey = 0.d0
 
-      n=iter            
+      n=iter
       dn=1.d0/dble(n)
 
Index: rgyr.f
===================================================================
--- rgyr.f	(revision 6650a56b8f862383b669bf41c64d328acf404e72)
+++ rgyr.f	(revision 32289cdc085b7eebe6f6df5975767c27f3bf61c7)
@@ -25,4 +25,11 @@
 !
       include 'INCL.H'
+      
+      double precision dn, dnp, dnh, dx, dxp, dy, dyp, dyh, dz, dzp, dzh
+      double precision d2, d2p, d2h, xi, yi, zi, dxh, rg2, rg2p, rg2h
+      double precision rgy, ee
+
+      integer nml, nml1, nml2, nat, i, i1, i2
+
 !f2py intent(in) nml
 !f2py intent(out) rgy
Index: rmsdfun.f
===================================================================
--- rmsdfun.f	(revision 6650a56b8f862383b669bf41c64d328acf404e72)
+++ rmsdfun.f	(revision 32289cdc085b7eebe6f6df5975767c27f3bf61c7)
@@ -5,5 +5,5 @@
 !
 ! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
+!                      Shura Hayryan, Chin-Ku
 ! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
 !                      Jan H. Meinke, Sandipan Mohanty
@@ -26,4 +26,8 @@
 !
 ! Input
+      double precision xrf, yrf, zrf, rm, av1, av2, rssd
+
+      integer nml, ir1, ir2, ixat, isl
+
       dimension ixat(mxat),xrf(mxatp),yrf(mxatp),zrf(mxatp)
 ! Local
@@ -57,9 +61,14 @@
 !
 !      NB  uncomment last lines in 'fitmol' to return coordinates
-!          in 'x2' after fitting the ref. str. onto SMMP structure 
+!          in 'x2' after fitting the ref. str. onto SMMP structure
 ! ----------------------------------------------------------------
 
       include 'INCL.H'
       include 'INCP.H'
+      
+      double precision x1, x2, xrf, yrf, zrf, rm, av1, av2, rmsd
+
+      integer nml, nr, na, n, im, ir, ia, ir1, ir2, ix, ixat, isl
+
 
 !-------------------------------------------------------- input
@@ -147,10 +156,15 @@
 ! .......................................................
 !f2py intent(out) rmsd
-                    
+
       include 'INCL.H'
 !      implicit real*8 (a-h,o-z)
 !      implicit integer*4 (i-n)
- 
+
 ! ------------------------------------------- input/output
+      double precision dn, a1, a2, x1, x2, q, dm, dp, dxm, dym, dzm, dxp
+      double precision dyp, dzp, e, v, em, rmsd, rm
+
+      integer n, i, j, ndim4, im
+
       dimension x1(3,mxat),x2(3,mxat)
 ! -------------------------------------------------- local
@@ -270,6 +284,8 @@
 !f2py intent(out) d
 !f2py intent(out) v
+      integer nmax
+
       parameter (NMAX=500)
-      
+
       integer n,nrot,i,ip,iq,j
 
@@ -398,5 +414,5 @@
 !
 !------------------------------------------------------------------------------
-! Reads in pdb-file 'string' into INCP.H and initalizes 
+! Reads in pdb-file 'string' into INCP.H and initalizes
 ! the files that 'rmdsopt' needs to calculate the rmsd
 ! of a configuration with the pdb-configuration
@@ -409,6 +425,8 @@
       include 'INCP.H'
 
+      integer i, nml, ier
+
       character string*(*)
- 
+
       if(string.eq.'smmp') then
 !
@@ -428,5 +446,5 @@
 !
          call pdbread(string,ier)
-         if(ier.ne.0) stop 
+         if(ier.ne.0) stop
          call atixpdb(nml)
 !
Index: twister.f
===================================================================
--- twister.f	(revision 6650a56b8f862383b669bf41c64d328acf404e72)
+++ twister.f	(revision 32289cdc085b7eebe6f6df5975767c27f3bf61c7)
@@ -47,5 +47,5 @@
 * May 03, 2000
 *
-* compile with: f90 -i32 -dp -o mt19937 mt19937.f 
+* compile with: f90 -i32 -dp -o mt19937 mt19937.f
 * Changes:
 *    Do not use UMASK as parameter due to restrictions of CF90
@@ -55,5 +55,5 @@
 *
 *    Now the T3E produces the same random number as a RS6000 running AIX
-*      
+*
 * from other programs sgrnd() must be called with integer*4
 *
@@ -64,5 +64,9 @@
       subroutine sgrnd(seed)
 *
-      implicit integer(a-z)
+      integer seed, tmaskb, tmaskc, tshftu, tshfts, tshftt
+      integer tshftl, y
+
+      integer N, N1, mti, mt, m, mata, lmask, mag01
+      integer kk
 *
 * Period parameters
@@ -88,4 +92,5 @@
 
       block data twbloks
+      integer n,n1,mt,mti
       parameter(N     =  624)
       parameter(N1    =  N+1)
@@ -99,5 +104,8 @@
       double precision function grnd()
 *
-      implicit integer(a-z)
+      integer tmaskb, tmaskc, tshftu, tshfts, tshftt, tshftl, y
+
+      integer n, n1, mti, mt, m, mata, lmask, mag01, kk
+
 *
 * Period parameters
